footer {
  background-color: #3b3b3b;
}

footer.space_section {
  padding: 40px 0;
}

.footer__info-title {
  color: #a0a2a1;
  margin: 43px 0 30px;
  font-size: 1.4rem;
  font-weight: 600;
}

.footer-grid__blook-top {
  display: grid;
  grid-template-columns: minmax(200px, 33%) 1fr;
  grid-gap: 12px;
}

.footer__logo {
  .footer__logo-link {
    .footer__logo-img {
      width: 166px;
      height: auto;
      object-fit: cover;
    }
  }
}

.footer__payment {
  display: flex;
  align-items: center;
  margin: 84px 0 0px;

  .footer__payment-title {
    color: #0798d4;
    font-weight: 600;
    font-size: 1.2rem;
    line-height: 35px;
    margin: 20px 23px 0 0;
  }

  .footer-payment__list {
    display: flex;

    .footer-payment__list-item {
      &:not(:last-child) {
        margin-right: 25px;
      }

      .footer-payment__list-item-img {
        min-width: 108px;
        height: 38px;
        object-fit: cover;
      }
    }
  }
}

.footer-grid__blook-bottom {
  display: grid;
  grid-template-columns: minmax(200px, 33%) 1fr 1fr 2fr;
  grid-gap: 12px;
}

.footer-info__contact {
  .footer-info__contact-list {
    .footer-info__contact-list-item {
      color: #a0a2a1;
      margin-bottom: 22px;
      font-size: 1.1rem;

      .footer-info__contact-list-link {
        color: #a0a2a1;
      }

      .footer-info__contact-list-icon {
        color: #3293ca;
        margin-right: 12px;
      }
    }
  }
}

.footer-info__work {
  color: #a0a2a1;
  .footer-info__work-paragraph {
    margin-bottom: 22px;
    font-size: 1.1rem;
  }
}

.footer-info__information {
  .footer-info__information-list {
    .footer-info__information-list-item {
      margin-bottom: 22px;

      .footer-info__information-list-link {
        color: #a0a2a1;
        font-size: 1.1rem;
      }
    }
  }
}

.footer-info__last {
  display: flex;

  .footer-info__socials {
    margin-right: 15px;

    .footer-info__socials-list {
      display: flex;

      .footer-info__socials-list-item {
        &:not(:last-child) {
          margin-right: 20px;
        }
      }
    }
  }

  .footer-info__devices {
    margin-top: 40px;

    .footer-info__devices-list {
      .footer-info__devices-list-item {
        color: #a0a2a1;
        margin-bottom: 18px;
        font-weight: 600;
        font-size: 1.2rem;
        display: flex;

        div {
          margin-right: 10px;
          width: 28px;
          height: 24.61px;

          .footer-info__devices-list-item-img {
            width: 100%;
          }
        }

        .footer-info__devices-list-item-p {
          font-style: normal;
          font-weight: 400;
          line-height: 20px;
          color: #a0a2a1;
          margin-top: 9px;
          font-size: 1.032rem;
        }
      }
    }
  }
}

@media (max-width: 1200px) {
  .footer__logo {
    margin-left: 15px;
  }

  .footer__payment {
    margin: 30px 0 0px;
    flex-wrap: wrap;
  }

  .footer__info-title {
    font-size: 1.2rem;
    margin: 40px 0 25px;
  }

  .footer-info__contact {
    .footer-info__contact-list {
      .footer-info__contact-list-item {
        margin-bottom: 18px;
        font-size: 1rem;

        .footer-info__contact-list-icon {
          margin-right: 10px;
        }
      }
    }
  }

  .footer-info__work {
    .footer-info__work-paragraph {
      margin-bottom: 18px;
      font-size: 1rem;
    }
  }

  .footer-info__information {
    .footer-info__information-list {
      .footer-info__information-list-item {
        margin-bottom: 22px;

        .footer-info__information-list-link {
          font-size: 1rem;
        }
      }
    }
  }

  .footer-info__last {
    .footer-info__socials {
      .footer-info__socials-list {
        .footer-info__socials-list-item {
          &:not(:last-child) {
            margin-right: 15px;
          }
        }
      }
    }

    .footer-info__devices {
      margin-top: 35px;

      .footer-info__devices-list {
        .footer-info__devices-list-item {
          margin-bottom: 20px;

          div {
            margin-right: 8px;
          }

          .footer-info__devices-list-item-p {
            font-size: 1.1rem;
            margin-top: 8px;
          }
        }
      }
    }
  }
}

@media (max-width: 991.98px) {
  .footer-grid__blook-bottom {
    grid-template-columns: minmax(180px, 45%) 2fr;
    grid-gap: 10px;
  }

  .footer__logo {
    .footer__logo-link {
      .footer__logo-img {
        width: 150px;
        height: auto;
      }
    }
  }

  .footer__payment {
    margin: 20px 0 0 0;

    .footer__payment-title {
      margin: 12px 0px 0 0;
    }
  }
}

@media (max-width: 767.98px) {
  .footer__info-title {
    margin: 35px 0 20px;
    font-size: 1.1rem;
    font-weight: 600;
  }

  .footer__logo {
    margin-left: 0;

    .footer__logo-link {
      .footer__logo-img {
        width: 125px;
      }
    }
  }

  .footer__payment {
    .footer__payment-title {
      margin: 5px 0px 0 0;
    }

    .footer-payment__list {
      display: flex;

      .footer-payment__list-item {
        &:not(:last-child) {
          margin-right: 25px;
        }

        .footer-payment__list-item-img {
          max-width: 65px;
          min-width: 0;
          height: auto;
          object-fit: cover;
        }
      }
    }
  }

  .footer-info__contact {
    .footer-info__contact-list {
      .footer-info__contact-list-item {
        margin-bottom: 12px;
        font-size: 0.9rem;

        .footer-info__contact-list-icon {
          margin-right: 10px;
        }
      }
    }
  }

  .footer-info__work {
    color: #a0a2a1;
    .footer-info__work-paragraph {
      margin-bottom: 12px;
      font-size: 0.9rem;
    }
  }

  .footer-info__information {
    .footer-info__information-list {
      .footer-info__information-list-item {
        margin-bottom: 12px;

        .footer-info__information-list-link {
          font-size: 0.9rem;
        }
      }
    }
  }

  .footer-info__last {
    .footer-info__socials {
      .footer-info__socials-list {
        .footer-info__socials-list-item {
          &:not(:last-child) {
            margin-right: 15px;
          }
        }
      }
    }

    .footer-info__devices {
      margin-top: 30px;

      .footer-info__devices-list {
        .footer-info__devices-list-item {
          .footer-info__devices-list-item-p {
            line-height: 15px;
            font-size: 0.9rem;
          }
        }
      }
    }
  }
}

@media (max-width: 578px) {
  footer.space_section {
    padding: 40px 15px;
  }

  .footer__info-title {
    font-size: 1rem;
    margin: 25px 0 20px;
  }

  .footer__payment {
    margin: 12px 0 0px;

    .footer__payment-title {
      font-size: 1rem;
    }
  }

  .footer-info__contact {
    .footer-info__contact-list {
      .footer-info__contact-list-item {
        margin-bottom: 10px;
        font-size: 0.8rem;

        .footer-info__contact-list-icon {
          margin-right: 10px;
        }
      }
    }
  }

  .footer-info__work {
    .footer-info__work-paragraph {
      margin-bottom: 10px;
      font-size: 0.8rem;
    }
  }

  .footer-info__information {
    .footer-info__information-list {
      .footer-info__information-list-item {
        margin-bottom: 10px;

        .footer-info__information-list-link {
          font-size: 0.8rem;
        }
      }
    }
  }

  .footer-info__last {
    .footer-info__socials {
      .footer-info__socials-list {
        .footer-info__socials-list-item {
          &:not(:last-child) {
            margin-right: 10px;
          }
        }
      }
    }

    .footer-info__devices {
      margin-top: 25px;

      .footer-info__devices-list {
        .footer-info__devices-list-item {
          margin-bottom: 15px;

          div {
            margin-right: 5px;

            .footer-info__devices-list-item-img {
              width: 85%;
            }
          }

          .footer-info__devices-list-item-p {
            font-size: 0.8rem;
            margin-top: 6px;
          }
        }
      }
    }
  }
}

@media (max-width: 500px) {
  .footer-grid__blook-top {
    grid-template-columns: minmax(120px, 33%) 1fr;
  }

  .footer__info-title {
    font-size: 0.9rem;
    margin: 20px 0 15px;
  }

  .footer__logo {
    .footer__logo-link {
      .footer__logo-img {
        width: 110px;
      }
    }
  }

  .footer-info__contact {
    .footer-info__contact-list {
      .footer-info__contact-list-item {
        margin-bottom: 8px;
        font-size: 0.7rem;
      }

      .footer-info__contact-list-icon {
        margin-right: 8px;
      }
    }
  }

  .footer-info__work {
    .footer-info__work-paragraph {
      margin-bottom: 8px;
      font-size: 0.7rem;
    }
  }

  .footer-info__information {
    .footer-info__information-list {
      .footer-info__information-list-item {
        margin-bottom: 8px;

        .footer-info__information-list-link {
          font-size: 0.7rem;
        }
      }
    }
  }

  .footer-info__last {
    .footer-info__socials {
      .footer-info__socials-list {
        .footer-info__socials-list-item {
          &:not(:last-child) {
            margin-right: 8px;
          }

          .footer-info__socials-list-link {
            img {
              width: 20px;
            }
          }
        }
      }
    }

    .footer-info__devices {
      margin-top: 15px;

      .footer-info__devices-list {
        .footer-info__devices-list-item {
          margin-bottom: 12px;

          div {
            margin-right: 5px;
            width: 30px;

            .footer-info__devices-list-item-img {
              width: 85%;
            }
          }

          .footer-info__devices-list-item-p {
            font-size: 0.7rem;
            margin-top: 8px;
          }
        }
      }
    }
  }
}

@media (max-width: 430px) {
  footer.space_section {
    padding: 35px 5px;
  }

  .footer__info-title {
    margin: 15px 0 12px;
    font-size: 0.6rem;
  }

  .footer-grid__blook-top {
    grid-template-columns: minmax(90px, 33%) 1fr;
  }

  .footer__logo {
    .footer__logo-link {
      .footer__logo-img {
        width: 85px;
      }
    }
  }

  .footer__payment {
    margin: 0;

    .footer__payment-title {
      font-size: 0.7rem;
      margin: 10px 15px 0 0;
    }

    .footer-payment__list {
      .footer-payment__list-item {
        &:not(:last-child) {
          margin-right: 15px;
        }

        .footer-payment__list-item-img {
          max-width: 50px;
        }
      }
    }
  }

  .footer-grid__blook-bottom {
    grid-template-columns: minmax(140px, 45%) 1fr;
    grid-gap: 8px;
  }

  .footer-info__contact {
    .footer-info__contact-list {
      .footer-info__contact-list-item {
        margin-bottom: 5px;
        font-size: 0.5rem;
      }
    }
  }

  .footer-info__work {
    .footer-info__work-paragraph {
      margin-bottom: 5px;
      font-size: 0.5rem;
    }
  }

  .footer-info__information {
    .footer-info__information-list {
      .footer-info__information-list-item {
        line-height: 15px;
        margin-bottom: 0;

        .footer-info__information-list-link {
          font-size: 0.5rem;
        }
      }
    }
  }

  .footer-info__last {
    .footer-info__socials {
      margin-right: 10px;

      .footer-info__socials-list {
        .footer-info__socials-list-item {
          &:not(:last-child) {
            margin-right: 10px;
          }

          .footer-info__socials-list-link {
            img {
              width: 15px;
            }
          }
        }
      }
    }

    .footer-info__devices {
      margin-top: 5px;

      .footer-info__devices-list {
        .footer-info__devices-list-item {
          margin-bottom: 0;

          div {
            margin-right: 5px;
            width: 15px;
          }

          .footer-info__devices-list-item-p {
            margin-top: 10px;
            font-size: 0.5rem;
            line-height: 12px;
          }
        }
      }
    }
  }
}
